﻿<UserControl x:Class="OrderCategorization.Controls.ComboBoxUC"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             FontFamily="Vazir FD" FontSize="13" Name="owner"
             mc:Ignorable="d" LostFocus="UserControl_LostFocus" GotFocus="UserControl_GotFocus" PreviewKeyDown="UserControl_PreviewKeyDown">
    <Grid Margin="24,16,24,0">
        <Grid Height="Auto" Width="Auto" FlowDirection="RightToLeft">
            <Grid.RowDefinitions>
                <RowDefinition Height="42"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
            <TextBox x:Name="InputTextBox" Tag="{Binding Tag, ElementName=owner}" HorizontalAlignment="Stretch" Height="42" TextWrapping="Wrap" Text="{Binding Input, ElementName=owner, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Top" MinWidth="300" VerticalContentAlignment="Center" TextChanged="InputTextBox_TextChanged" Margin="0"/>
            <Button Click="PopupToggle" Width="42" HorizontalAlignment="Right" BorderThickness="0" Margin="1" Style="{DynamicResource CalendarButtonStyle}" BorderBrush="{x:Null}">
                <Image Source="/OrderCategorization;component/Images/CommonIcon/Down.png" HorizontalAlignment="Center" VerticalAlignment="Center" Stretch="Fill" Width="16" Height="16"/>
            </Button>

            <Popup IsOpen="False" Grid.Row="1" Name="SuggestionGrid" PopupAnimation="{DynamicResource {x:Static SystemParameters.ComboBoxPopupAnimationKey}}" StaysOpen="False">
                <Grid Height="120" Width="{Binding ActualWidth, ElementName=InputTextBox}" Background="White">
                    <Rectangle Stroke="#FF3CA3F4"/>
                    <Grid Background="White" Margin="1,0,1,1">
                        <ListBox Name="ResultListBox" SelectedValue="{Binding SelectedValue, Mode=TwoWay, ElementName=owner}" BorderBrush="{x:Null}" SelectionChanged="ResultListBox_SelectionChanged" MouseDoubleClick="ListBoxItem_MouseDoubleClick">
                        </ListBox>
                    </Grid>
                </Grid>
            </Popup>
        </Grid>
    </Grid>
</UserControl>